# Uses of Enum Class
net.shibboleth.shared.spring.servlet.impl.SameSiteCookieHeaderFilter.SameSiteValue

Packages that use SameSiteCookieHeaderFilter.SameSiteValue
Package
Description
net.shibboleth.shared.spring.servlet.impl
Spring-aware implementation classes related to Java Servlet and Filter behavior.

## Uses of SameSiteCookieHeaderFilter.SameSiteValue in net.shibboleth.shared.spring.servlet.impl

Fields in net.shibboleth.shared.spring.servlet.impl declared as SameSiteCookieHeaderFilter.SameSiteValue
Modifier and Type
Field
Description
`private SameSiteCookieHeaderFilter.SameSiteValue`
SameSiteCookieHeaderFilter.`defaultValue`
Optional default value to apply.
Fields in net.shibboleth.shared.spring.servlet.impl with type parameters of type SameSiteCookieHeaderFilter.SameSiteValue
Modifier and Type
Field
Description
`private Map<String,SameSiteCookieHeaderFilter.SameSiteValue>`
SameSiteCookieHeaderFilter.`sameSiteCookies`
Map of cookie name to same-site attribute value.
Methods in net.shibboleth.shared.spring.servlet.impl that return SameSiteCookieHeaderFilter.SameSiteValue
Modifier and Type
Method
Description
`static SameSiteCookieHeaderFilter.SameSiteValue`
SameSiteCookieHeaderFilter.SameSiteValue.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SameSiteCookieHeaderFilter.SameSiteValue[]`
SameSiteCookieHeaderFilter.SameSiteValue.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.spring.servlet.impl with parameters of type SameSiteCookieHeaderFilter.SameSiteValue
Modifier and Type
Method
Description
`void`
SameSiteCookieHeaderFilter.`setDefaultValue(SameSiteCookieHeaderFilter.SameSiteValue value)`
Set an optional default value to apply to all unmapped cookies.
Method parameters in net.shibboleth.shared.spring.servlet.impl with type arguments of type SameSiteCookieHeaderFilter.SameSiteValue
Modifier and Type
Method
Description
`void`
SameSiteCookieHeaderFilter.`setSameSiteCookies(Map<SameSiteCookieHeaderFilter.SameSiteValue,List<String>> map)`
Set the names of cookies to add the same-site attribute to.